## helma.scripting.rhino
Class HacHspConverter

    java.lang.Object
      helma.scripting.rhino.HacHspConverter

    public class HacHspConverter

extends java.lang.Object

Support for .hac (action) and .hsp (template) files

Constructor Summary
`HacHspConverter()`

Method Summary
`static java.lang.String` `convertHac(Resource action, java.lang.String encoding)`
`static java.lang.String` `convertHsp(Resource template, java.lang.String encoding)`
`static java.lang.String` `convertHspAsString(Resource template, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HacHspConverter

    public HacHspConverter()

Method Detail

### convertHac

    public static java.lang.String convertHac(Resource action,
                                              java.lang.String encoding)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### convertHsp

    public static java.lang.String convertHsp(Resource template,
                                              java.lang.String encoding)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### convertHspAsString

    public static java.lang.String convertHspAsString(Resource template,
                                                      java.lang.String encoding)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.